# 
#  Copyright (c) 2010, Texas Instruments Incorporated
#  All rights reserved.
# 
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
# 
#  *  Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
# 
#  *  Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
# 
#  *  Neither the name of Texas Instruments Incorporated nor the names of
#     its contributors may be used to endorse or promote products derived
#     from this software without specific prior written permission.
# 
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#  PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
#  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
#  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 
%%{
    var device     = $args.shift().toLowerCase();
    var platform   = $args.shift();
    var linux      = $args.shift();
    var template   = $args.shift();
    var kernelDir  = $args.shift();
    var toolPrefix = $args.shift();

    // get absolute path to package base directory
    var powerPkgBase = xdc.getPackageBase('ti.bios.power');

    // get absolute path to the package repository
    var dsplinkRepo = xdc.getPackageRepository('dsplink.gpp');
%%}
#
#  Do not edit this file.  This file is generated from 
#  `template`. Any modifications to this file will
#  be overwritten whenever makefiles are re-generated.
#

ifneq (clean,$(MAKECMDGOALS))
ifeq (,$(wildcard bin/`platform`/`linux`/modules))
    $(shell $(MKDIR) -p bin/`platform`/`linux`/modules)
endif
endif

.dlls: package/.`device`_`linux`

package/.`device`_`linux`: bin/`platform`/`linux`/modules/`device`
	@$(ECHO)
	@$(ECHO) "Making [ $@ ] ..."
	$(MAKE) -C bin/`platform`/`linux`/modules/`device`/lpm \
            LINUXKERNEL_INSTALL_DIR=`kernelDir` \
            MVTOOL_PREFIX=`toolPrefix` \
            DSPLINK_REPO=`dsplinkRepo`
%if (device.match(/dm6446/)) {
	$(MAKE) -C bin/`platform`/`linux`/modules/`device`/ocvc \
            LINUXKERNEL_INSTALL_DIR=`kernelDir` \
            MVTOOL_PREFIX=`toolPrefix`
%}
	$(TOUCH) $@

bin/`platform`/`linux`/modules/`device`:
	$(CP) -r `powerPkgBase`/modules/`device` \
            bin/`platform`/`linux`/modules
	$(TOUCH) $@
#
#  @(#) ti.bios.power.utils; 1, 0, 0,2; 4-30-2010 13:30:21; /db/atree/library/trees/power/power-g09x/src/
#

